/* 
  project "Evaluations-Platine für Heimautomatisierung"
  created 2013 by Thomas Gauweiler
  copyright: Apache License 2.0, http://www.apache.org/licenses/LICENSE-2.0.html
*/
#define SKETCH_NAME "PowerPlug433Mhz"
#define PIN_TRANSMITTER 8
#define PIN_RECEIVER 2

#include <RCSwitch.h>

RCSwitch mySwitch = RCSwitch();

void setup_serial() {
  Serial.begin(9600);
  Serial.print(SKETCH_NAME);
  Serial.println(" is ready");
}

void setup() {
  setup_serial();
  mySwitch.enableTransmit(PIN_TRANSMITTER);
}


/******************************************/

void wait_seconds(int seconds) {
  delay(seconds*1000);
}

void switch_plug(char code[5], char plug, bool seton) {
  if (seton) {
    mySwitch.switchOn("11111", plug-'A'+1);
  } else {
    mySwitch.switchOff("11111", plug-'A'+1);
  }
}

void loop()
{
  switch_plug("11111", 'A', true);
  switch_plug("11111", 'B', true);
  wait_seconds(1);
  switch_plug("11111", 'A', false);
  wait_seconds(1);
  switch_plug("11111", 'B', false);
  wait_seconds(5);
}

